Bug 197598 - chinese/libchewing: Fail to build on FreeBSD 10.1 because makeinfo is too old
Summary: chinese/libchewing: Fail to build on FreeBSD 10.1 because makeinfo is too old
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-13 18:11 UTC by Ting-Wei Lan
Modified: 2015-02-15 03:29 UTC (History)
1 user (show)

See Also:


Attachments
A possible patch to make libchewing use makeinfo from ports (626 bytes, patch)
2015-02-13 18:11 UTC, Ting-Wei Lan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2015-02-13 18:11:07 UTC
Created attachment 152944 [details]
A possible patch to make libchewing use makeinfo from ports

I got the following error because libchewing needs newer version of makeinfo:

[  2%] Generating doc/libchewing.info
/usr/bin/makeinfo /wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi -o /wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.info -I /wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:640: Unknown command `leq'.
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:640: Misplaced {.
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:640: Misplaced }.
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:641: Unknown command `leq'.
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:641: Misplaced {.
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:641: Misplaced }.
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:713: Unknown command `leq'.
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:713: Misplaced {.
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:713: Misplaced }.
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:724: Unknown command `leq'.
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:724: Misplaced {.
/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.texi:724: Misplaced }.
makeinfo: Removing output file `/wrkdirs/usr/ports/chinese/libchewing/work/chewing-libchewing-6d6e67c/doc/libchewing.info' due to errors; use --force to preserve.
CMakeFiles/INFO.dir/build.make:54: recipe for target 'doc/libchewing.info' failed
Comment 1 Antoine Brodin freebsd_committer 2015-02-14 19:35:40 UTC
This line looks wrong,  info pages should go to ${PREFIX}/info, not to ${PREFIX}/share/info:

+INFO_PATH=	share/info

why do you need it?
Comment 2 commit-hook freebsd_committer 2015-02-15 03:28:11 UTC
A commit references this bug:

Author: vanilla
Date: Sun Feb 15 03:28:01 UTC 2015
New revision: 379027
URL: https://svnweb.freebsd.org/changeset/ports/379027

Log:
  Fix build on 10 (makeinfo issue)

  PR:		197598
  Submitted by:	Ting-Wei Lan <lantw44 at gmail.com>

Changes:
  head/chinese/libchewing/Makefile
  head/chinese/libchewing/files/patch-CMakeLists.txt
Comment 3 Vanilla I. Shu freebsd_committer 2015-02-15 03:29:59 UTC
Committed, thanks.

btw, I remove INFO_PATH by @antoine's suggestion.